Thursday, June 13, 2013

Patcher Update

So the patcher's server was changed recently and the current patcher can't connect to it to update itself with the new address which means that everyone will have to download the new patcher manually and then put it in your AoE3 directory.

If you run the current patcher you will probably get this: Error grabbing master server list.
The error might not show up for everyone as I have been told but in case it does here's the fix...

DOWNLOAD NEWER VERSION FROM HERE!

The deal is the same, run it as administrator!
It will be included in the version 5.5 installer so after that everything will be automated.

We will probably do more changes to the patcher and its server so I'll update this post with news as they happen.

Thanks for playing!

29 comments:

  1. Thanks man, you're doing a fantastic job!! I love your mod!! THX THX!! Thanks for this update too;
    i was about to getting worried, i thought the server had closed forever! LOL

    ReplyDelete
  2. I love this mod and your work! keeps the game fresh! its something me and my grandfather can enjoy together on rainy days, he loves historic Resource gathering strat games. thank you!

    ReplyDelete
  3. Mandos I downloaded the new patcher and tried updating but I keep getting this: "ERROR: Age of Empires 3 executable could not be found

    ReplyDelete
  4. David-

    put in your age of empires 3 folder. (C:\Program Files (x86)\Microsoft Games\Age of Empires III)

    Mandos-

    still get the same error.

    ReplyDelete
    Replies
    1. Ah! Thank you so much! I was worried there for a second. :)

      Delete
    2. Guys, guys...

      David... LoL dude, where did you put the patcher? Of course it needs to be inside the game's folder.

      Nsinger, what error? I see no other message from you here?

      Remember that you need to run the patcher as administrator people!

      Delete
    3. I get the "Error grabbing master server list" thing.

      Delete
    4. Nsinger, do you see what this post is about?
      DOWNLOAD THE DAMN NEW PATCHER TO FIX THE ERROR!!!

      Delete
    5. Mandos-

      I did! but I've been having problems with my connection and have a guy coming to take a look.

      Delete
    6. Oh, well then I hope it works out. Remember to check if your antivirus is blocking the patcher.

      Delete
  5. Can you upload the installer, please. I use the patcher but there í an error " can not run error "1011xxxxxxx" sorry i don't remember, but it a long line?" My English quite bad, sorry for this inconvinience. Thanks

    ReplyDelete
    Replies
    1. I will upload a new installer soon, I just have some stuff to do before releasing version 5.5.

      Delete
    2. Mandos -

      *friendly ribbing* Didn't you say that a month ago? ;)

      Delete
  6. Works perfectly thank you! Another fantastic job, keep it up

    ReplyDelete
  7. after some stuff I think I've determined my problem:

    Connecting to my router via an extender(for better coverage) is something that the patcher or its server doesn't like. perhaps the guy who made the patcher can take a look at it?

    ReplyDelete
    Replies
    1. I will let him know, though, I strongly suggest you contact me on Skype or Steam and let me have a look with Team Viewer, so I can tell him if your connection is really the problem.

      Delete
  8. If you click on a house it shows the livestock tech right? Well, if you click on that same tech it says it adds your iventory (if i remember the number right)99999 food. What the heck?! What does that tech really do?

    ReplyDelete
    Replies
    1. Its... complicated... The tech is suppose to enable houses to train and herd livestock. The way it accomplishes this is a bit weird, but hey, its works right?

      Delete
    2. Yup, I tried it and it actually works. It's funny how the next available tech "Selective Breeding" says the same.
      By the way, your updates are awesome. Keep up the excellent work!

      Delete
  9. I installed this and when I go to play on es online it just hangs and cannot be force quit when it says setting up network connections.

    ReplyDelete
    Replies
    1. Mods are not meant to be played on ESO...
      ESO requires the original game, it does not support mods.

      Delete
    2. I actually got it to work on eso.
      I had to go to my documents, my games and delete the age of empires 3 folder.

      Delete
    3. My friends and I just make a game on ESO and we can play together this way. Still says CRC Mismatch for normal games but it works for us.

      Still obviously not ideal if you want to play with random people without mods but we don't need any 3rd party software to play together using this mod.

      Delete
    4. Alright cool, I know my mod is playable on ESO but since its not recommended, when people come with problems related to ESO, well I can offer no support really.

      Delete
  10. The patcher is giving me an error: Error Grabbing Master Server List, what do?

    ReplyDelete
    Replies
    1. Download the latest version and run as administrator.
      If it still doesn't work re-install your Windows.........

      Delete
    2. All jokes aside it seems there's a genuine problem with the server at the time I received this message. We will look into it.

      Delete